package cn.superdesk.uniorder.dao.mapper.sys.notify;

import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotifyCategory;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotifyCategoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysNotifyCategoryMapper {
    long countByExample(SysNotifyCategoryExample example);

    int deleteByExample(SysNotifyCategoryExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysNotifyCategory record);

    int insertSelective(SysNotifyCategory record);

    List<SysNotifyCategory> selectByExample(SysNotifyCategoryExample example);

    SysNotifyCategory selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysNotifyCategory record, @Param("example") SysNotifyCategoryExample example);

    int updateByExample(@Param("record") SysNotifyCategory record, @Param("example") SysNotifyCategoryExample example);

    int updateByPrimaryKeySelective(SysNotifyCategory record);

    int updateByPrimaryKey(SysNotifyCategory record);
}